## libdbusmenu 16.04.1+18.04.20171206

=== debian/changelog ===
libdbusmenu (16.04.1+18.04.20171206-0ubuntu2) bionic; urgency=medium

  * Added debian/patches/fix-gtkdoc-checks.patch:
    - Fix FTBFS on bionic (LP: #1813583).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 25 Jan 2019 13:22:04 +0100

libdbusmenu (16.04.1+18.04.20171206-0ubuntu1) bionic; urgency=medium

  * Drop unneeded dependency from libdbusmenu-glib-dev to libgtk2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Dec 2017 15:59:26 +0000

=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9),
               quilt,
               dh-autoreconf,
               libtool,
               intltool,
               gnome-common,
               gtk-doc-tools,
               valgrind [!arm64 !ppc64el],
               dbus-test-runner,
               xvfb,
               libglib2.0-dev (>= 2.35.4),
               libgtk2.0-dev (>= 2.24.4-1~),
               libgtk-3-dev (>= 2.99.2-1ubuntu2),
               libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
               libdbus-glib-1-dev,
               libatk1.0-dev,
               libjson-glib-dev (>= 0.13.4),
               gobject-introspection (>= 1.41.4-1~),
               libgirepository1.0-dev (>= 0.9.3),
               libx11-dev (>= 1.3), 
               valac (>= 0.16),
Standards-Version: 3.9.2
Homepage: https://launchpad.net/dbusmenu
# If you aren't a member of ~dbusmenu-team but need to upload
# packaging changes, just go ahead.  ~dbusmenu-team will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
         libdbusmenu-glib4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76)
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
         libdbusmenu-gtk4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0),
         libdbusmenu-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         libdbusmenu-glib4 (= ${binary:Version}),
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-gtk4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-jsonloader4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (= ${binary:Version}),
         libjson-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in 
 applications or libraries using dbusmenu.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk-3-dev (>= 2.91.4-0ubuntu1),
         libdbusmenu-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

=== debian/rules ===
#!/usr/bin/make -f

FLAVORS = gtk2 gtk3

CONFIGURE_FLAGS_gtk2 = --with-gtk=2
CONFIGURE_FLAGS_gtk3 = --with-gtk=3

CONFIGURE_COMMON_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-introspection  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

INSTALL_COMMON_FLAGS = --fail-missing

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_auto_test: $(FLAVORS:%=dotest-%)

dotest-%:
ifeq ($(DEB_HOST_ARCH),ppc64el)
	: # ignore the test results on $(DEB_HOST_ARCH)
	-VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
else
	VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
endif

override_dh_install:
	find debian/tmp -name \*.la -delete
	# Remove gtk2 copies of dbusmenu-tools (we use the gtk3 build)
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-testapp
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-dumper
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-bench
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk4 --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk-dev --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk-doc --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk-0.4 --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-glib-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk3-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-doc --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-tools --sourcedir=debian/tmp/gtk3

override_dh_shlibdeps:
	dh_shlibdeps -plibdbusmenu-gtk4 -- -xlibgtk2.0-0
	dh_shlibdeps -plibdbusmenu-gtk3-4 -- -xlibgtk-3-0

=== debian/watch ===
version=3
http://launchpad.net/dbusmenu/+download .*/libdbusmenu-([0-9.]+)\.tar\.gz

## libdbusmenu 18.10.20180917~bzr490+repack1

=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr490+repack1-1) unstable; urgency=medium

  * New upstream Bazaar snapshot.
  * debian/patches:
    + Drop 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
  * debian/rules:
    + Switch to repacking Bzr snapshot rather than using Ubuntu package
      archive as upstream.
  * debian/control:
    + Bump Standards-Version. to 4.2.1. No changes needed.
  * debian/watch:
    + Add dversionmangle option (even though we pull from lp:libdbusmenu
      directly.
  * debian/copyright:
    + Explain why we repack the orig tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Sep 2018 14:29:23 +0200

libdbusmenu (16.04.1+18.04.20171206-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Use Section: libs for src:package.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Drop B-D dh-autoreconf. Implicitly pulled in by DH >= 10.
    + Fix typo in Maintainer: field (in the full name).
    + Omit valgrind from B-D on ia64 and riscv64 architectures. (Closes:
      #895577).
  * debian/{control,compat}: Bump to DH compat level 11.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/changelog: White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jul 2018 10:53:14 +0200

=== debian/control ===
Source: libdbusmenu
Section: libs
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner,
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 gnome-common,
 gobject-introspection (>= 1.41.4-1~),
 gtk-doc-tools,
 intltool,
 libatk1.0-dev,
 libdbus-glib-1-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
 libgirepository1.0-dev (>= 0.9.3),
 libglib2.0-dev (>= 2.35.4),
 libgtk-3-dev (>= 2.99.2-1ubuntu2),
 libgtk2.0-dev (>= 2.24.4-1~),
 libjson-glib-dev (>= 0.13.4),
 libtool,
 libx11-dev (>= 1.3),
 quilt,
 valac (>= 0.16),
 valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32 !ia64 !riscv64],
 xauth,
 xvfb,
Standards-Version: 4.2.1
Homepage: https://launchpad.net/dbusmenu
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libdbusmenu.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libdbusmenu

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk4 (GTK-2 variant)
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk3-4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk3-4.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-glib4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-2+ applications.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-gtk3-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-3+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-4 (= ${binary:Version}),
 libgtk-3-dev (>= 2.91.4-0ubuntu1),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-3+ applications.

Package: libdbusmenu-gtk4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-2+ applications.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev (= ${binary:Version}),
 libdbusmenu-jsonloader4 (= ${binary:Version}),
 libjson-glib-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

## libdbusmenu 18.10.20180917~bzr492%2Brepack1

=== tools/testapp/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)

pkg_check_modules(DBUSMENUGLIB REQUIRED dbusmenu-glib)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(JSONGLIB REQUIRED json-glib-1.0)

set(glibapp_SRCS
    main.c
    )

include_directories(
    ${DBUSMENUGLIB_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${JSONGLIB_INCLUDE_DIRS}
    )

link_directories(
    ${DBUSMENUGLIB_LIBRARY_DIRS}
    ${GLIB_LIBRARY_DIRS}
    ${JSONGLIB_LIBRARY_DIRS}
    )

add_executable(dbusmenubench-glibapp ${glibapp_SRCS})

target_link_libraries(dbusmenubench-glibapp
    ${DBUSMENUGLIB_LIBRARIES}
    ${GLIB_LIBARIES}
    ${JSONGLIB_LIBRARIES}
    )

=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu5) noble; urgency=medium

  * No-change rebuild against libatk1.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:26:42 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:54:17 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:58:22 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:20:15 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - List Ubuntu VCS, not Debian.
    - Build with hardening=+all.
    - Don't point debian/watch at archive.ubuntu.com.
    - Correct wrong debian/copyright claims of individual copyright for work
      done by Canonical.
  * Drop dependency on libdbus-glib-1-dev that was accidentally carried
    forward after dropped in Debian.
  * Drop spurious debian/control delta, previously overlooked.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2023 23:09:22 -0800

libdbusmenu (18.10.20180917~bzr492+repack1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Replace libgdk-pixbuf2.0-dev with libgdk-pixbuf-2.0-dev (Closes: #1037384)
  * Drop GTK2 packages and dbusmenu-dumper tool (Closes: #967570)
  * Actually drop build dependency on quilt

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 12:59:51 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable, remaining changes:
    - List Ubuntu VCS, not Debian.
    - Build with hardening=+all.
    - Don't point debian/watch at archive.ubuntu.com...
  * Dropped changes, included in Debian:
    - Remove empty documentation indexes, the new gtk-doc doesn't generate
      those anymore if there is no content.
    - Prevent test-json from failing because of "Using cross-namespace
      EXTERNAL authentication" warning
    - tests: don't use gtester for gtkdoc-check tests
  * Dropped changes, superseded in Debian:
    - Hard-code python2 instead of python.
    - Disable valgrind on riscv64. It's not there yet.
  * Correct wrong debian/copyright claims of individual copyright for work
    done by Canonical.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Dec 2022 17:32:29 -0800

libdbusmenu (18.10.20180917~bzr492+repack1-3) unstable; urgency=medium

  * debian/control:
    + Switch to B-D valgrind-if-vailable.
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/patches:
    + Add 0004_prevent-test-json-from-failing.patch. Prevent test-json from
      failing due to 'Using cross-namespace EXTERNAL authentication' warning.
      (Closes: #1020076).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Nov 2022 11:04:11 +0100

libdbusmenu (18.10.20180917~bzr492+repack1-2) unstable; urgency=medium

  * debian/control:
    + Drop no-op B-D and D on libdbus-glib-1-dev. (Closes: #954106, 954108).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Mar 2020 14:12:09 +0100

libdbusmenu (18.10.20180917~bzr492+repack1-1) unstable; urgency=medium

  * New upstream Bazaar snapshot.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Switch D (libdbusmenu-tools): python -> python3. (Closes: #936848).
  * debian/patches:
    + Add 0002_fix-ftbfs-gtk-doc-1-32.patch. Fix FTBFS against gtk-doc (>=
      1.32). (Closes: #939955).
    + Add 0003_port-tools-dbusmenu-bench-to-py3.patch. Port script from Py2
      to Py3.
  * debian/libdbusmenu-tools.install:
    + Tools get now installed to libexec dir.
  * debian/*.symbols:
    + Add Build-Depends-Package: meta data fields.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Nov 2019 16:04:19 +0100

libdbusmenu (16.04.1+22.10.20220928.1-0ubuntu1) kinetic; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Prevent test-json from failing because of "Using cross-namespace
    EXTERNAL authentication" warning (LP: #1991138).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 28 Sep 2022 22:22:46 +0000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu8) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:10:53 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu7) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:14:52 +0200

libdbusmenu (16.04.1+18.10.20180917-0ubuntu6) focal; urgency=medium

  * Disable valgrind on riscv64. It's not there yet.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 15:54:52 +1000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu5) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:21 +0000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu4) focal; urgency=medium

  * Remove empty documentation indexes, the new gtk-doc doesn't generate
    those anymore if there is no content, fix the build current failing
    in focal.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jan 2020 13:52:09 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu3) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:08:01 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu2) eoan; urgency=medium

  * Build without Werror to fix the build with the new glib (lp: #1843744)



=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: libdbusmenu
 Section: libs
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus-test-runner,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  gnome-common,
  gobject-introspection (>= 1.41.4-1~),
  gtk-doc-tools,
  intltool,
  libatk1.0-dev,
- libdbus-glib-1-dev,
- libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
+ libgdk-pixbuf-2.0-dev,
  libgirepository1.0-dev (>= 0.9.3),
  libglib2.0-dev (>= 2.35.4),
  libgtk-3-dev (>= 2.99.2-1ubuntu2),
- libgtk2.0-dev (>= 2.24.4-1~),
  libjson-glib-dev (>= 0.13.4),
  libtool,
  libx11-dev (>= 1.3),
- quilt,
  valac (>= 0.16),
- valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32 !ia64 !riscv64],
+ valgrind-if-available,
  xauth,
  xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://launchpad.net/dbusmenu
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libdbusmenu.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libdbusmenu
+# If you aren't a member of ~dbusmenu-team but need to upload
+# packaging changes, just go ahead.  ~dbusmenu-team will notice
+# and sync up the code again.
+Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
+Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files
 
 Package: gir1.2-dbusmenu-glib-0.4
 Section: introspection
@@ -45,21 +47,6 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings for libdbusmenu-glib4.
-
-Package: gir1.2-dbusmenu-gtk-0.4
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: libdbusmenu-gtk4 (= ${binary:Version}),
- ${gir:Depends},
- ${misc:Depends},
-Description: typelib file for libdbusmenu-gtk4 (GTK-2 variant)
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libdbusmenu-gtk4.
 
 Package: gir1.2-dbusmenu-gtk3-0.4
 Section: introspection
@@ -80,9 +67,7 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
  libdbusmenu-glib4 (= ${binary:Version}),
- libgtk2.0-dev (>= 2.12.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
@@ -115,24 +100,6 @@
  .
  This package contains shared libraries to be used by applications.
 
-Package: libdbusmenu-gtk-dev
-Section: libdevel
-Architecture: any
-Depends: gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
- libdbusmenu-glib-dev,
- libdbusmenu-gtk4 (= ${binary:Version}),
- libgtk2.0-dev (>= 2.12.0),
- ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Description: library for passing menus over DBus - GTK-2+ version development files
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package contains files that are needed to build GTK-2+ applications.
-
 Package: libdbusmenu-gtk-doc
 Section: doc
 Architecture: all
@@ -159,7 +126,6 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
  libdbusmenu-glib-dev,
  libdbusmenu-gtk3-4 (= ${binary:Version}),
  libgtk-3-dev (>= 2.91.4-0ubuntu1),
@@ -173,22 +139,10 @@
  .
  This package contains files that are needed to build GTK-3+ applications.
 
-Package: libdbusmenu-gtk4
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: library for passing menus over DBus - GTK-2+ version
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package contains shared libraries to be used by GTK-2+ applications.
-
 Package: libdbusmenu-jsonloader-dev
 Section: libdevel
 Architecture: any
-Depends: libdbus-glib-1-dev (>= 0.76),
- libdbusmenu-glib-dev (= ${binary:Version}),
+Depends: libdbusmenu-glib-dev (= ${binary:Version}),
  libdbusmenu-jsonloader4 (= ${binary:Version}),
  libjson-glib-dev,
  ${misc:Depends},
@@ -218,7 +172,7 @@
 Section: devel
 Architecture: any
 Depends: libdbusmenu-glib4 (= ${binary:Version}),
- python,
+ python3,
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: foreign

## libdbusmenu 18.10.20180917~bzr492+repack1

=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr492+repack1-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Add debian/gbp.conf
  * Drop unneeded dependency from libdbusmenu-glib-dev to libgtk2.0-dev

  [ Steve Langasek ]
  * Correct wrong debian/copyright claims of individual copyright for work done by Canonical.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 14:23:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libdbusmenu
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus-test-runner,
@@ -27,11 +26,8 @@
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/dbusmenu
-# If you aren't a member of ~dbusmenu-team but need to upload
-# packaging changes, just go ahead.  ~dbusmenu-team will notice
-# and sync up the code again.
-Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
-Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libdbusmenu.git
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libdbusmenu
 
 Package: gir1.2-dbusmenu-glib-0.4
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

FLAVORS = gtk3

CONFIGURE_FLAGS_gtk3 = --with-gtk=3

CONFIGURE_COMMON_FLAGS += --disable-dumper --disable-scrollkeeper --enable-gtk-doc --enable-introspection  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

INSTALL_COMMON_FLAGS =
MISSING_COMMON_FLAGS = --fail-missing

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --no-parallel --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_auto_test: $(FLAVORS:%=dotest-%)

override_dh_auto_clean:
	dh_auto_clean
	rm -Rvf builddir/

dotest-%:
ifeq ($(DEB_HOST_ARCH),ppc64el)
	: # ignore the test results on $(DEB_HOST_ARCH)
	-VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
else
	VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
endif

override_dh_missing:
	dh_missing $(MISSING_COMMON_FLAGS) -pgir1.2-dbusmenu-glib-0.4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk3-0.4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib-doc --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk3-4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk3-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-jsonloader4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-jsonloader-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-tools --sourcedir=debian/tmp/gtk3

override_dh_install:
	find debian/tmp -name \*.la -delete
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-glib-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk3-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-doc --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-tools --sourcedir=debian/tmp/gtk3

override_dh_shlibdeps:
	dh_shlibdeps -plibdbusmenu-gtk3-4 -- -xlibgtk-3-0
	dh_shlibdeps -plibdbusmenu-glib4
	dh_shlibdeps -plibdbusmenu-jsonloader4
	dh_shlibdeps -plibdbusmenu-tools

include /usr/share/dpkg/pkg-info.mk

NULL  =
PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')

#get-orig-source:
#	uscan --noconf --force-download --rename --download-current-version --destdir=..

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:libdbusmenu
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian/ \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
